Bug 740682 - sys/time.h claims settimeofday's first param couldn't be NULL, which is not correct
Summary: sys/time.h claims settimeofday's first param couldn't be NULL, which is not c...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jeff Law
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-22 22:36 UTC by Lennart Poettering
Modified: 2016-11-24 15:39 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-26 20:38:11 UTC


Attachments (Terms of Use)

Description Lennart Poettering 2011-09-22 22:36:37 UTC
Invoking settimeofday() with the first param as NULL is a valid operation, in order to change the kernel timezone (and we use that in systemd). This is documented in the man page, but the header file claims with __nonnull ((1)) that the first param couldn't be null.

$ rpm -qf /usr/include/sys/time.h 
glibc-headers-2.14.90-9.x86_64

Comment 1 Lennart Poettering 2011-09-22 22:37:30 UTC
this creates all kinds of warnings in static analysers such as coverity.

Comment 2 Fedora Admin XMLRPC Client 2011-11-14 19:15:19 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.


Note You need to log in before you can comment on or make changes to this bug.